/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_PLANNER_PRINT_H
#define MPC_PLANNER_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"


#include "server/MPC_plannerPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_MPC_PLANNER_MANASTRAJREC_POSTER_STR ( buf_t buf, struct MPC_PLANNER_MANASTRAJREC_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_PLANNER_MANASTRAJREF_POSTER_STR ( buf_t buf, struct MPC_PLANNER_MANASTRAJREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_PLANNER_PATHREF_POSTER_STR ( buf_t buf, struct MPC_PLANNER_PATHREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_PLANNER_PATHREC_POSTER_STR ( buf_t buf, struct MPC_PLANNER_PATHREC_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_PLANNER_STR ( buf_t buf, struct MPC_PLANNER_STR *x, int nDim, int *dims);
void buf_add_struct_LOADPATH_I ( buf_t buf, struct LOADPATH_I *x, int nDim, int *dims);
void buf_add_struct_FILENAME_I ( buf_t buf, struct FILENAME_I *x, int nDim, int *dims);
void buf_add_struct_SHIFT_XY_I ( buf_t buf, struct SHIFT_XY_I *x, int nDim, int *dims);
void buf_add_struct_PVD_I ( buf_t buf, struct PVD_I *x, int nDim, int *dims);
void buf_add_struct_TRAJRECORDING_I ( buf_t buf, struct TRAJRECORDING_I *x, int nDim, int *dims);
void buf_add_struct_PATHRECORDING_I ( buf_t buf, struct PATHRECORDING_I *x, int nDim, int *dims);
void buf_add_struct_PL_SETMANASYS_I ( buf_t buf, struct PL_SETMANASYS_I *x, int nDim, int *dims);
void buf_add_struct_PL_PLANSIMPLESTRAJ_I ( buf_t buf, struct PL_PLANSIMPLESTRAJ_I *x, int nDim, int *dims);
void buf_add_struct_PL_PLANSIMPLEPATH_I ( buf_t buf, struct PL_PLANSIMPLEPATH_I *x, int nDim, int *dims);
void buf_add_struct_PL_PLANTO_I ( buf_t buf, struct PL_PLANTO_I *x, int nDim, int *dims);
void buf_add_struct_PL_SETMODE_I ( buf_t buf, struct PL_SETMODE_I *x, int nDim, int *dims);
void buf_add_struct_PL_INIT_I ( buf_t buf, struct PL_INIT_I *x, int nDim, int *dims);
void buf_add_struct_PL_MANA_STRAJ ( buf_t buf, struct PL_MANA_STRAJ *x, int nDim, int *dims);
void buf_add_struct_PL_MANA_STATET ( buf_t buf, struct PL_MANA_STATET *x, int nDim, int *dims);
void buf_add_struct_PL_MANA_SYS_CSTT ( buf_t buf, struct PL_MANA_SYS_CSTT *x, int nDim, int *dims);
void buf_add_struct_GEN_PATH_XY ( buf_t buf, struct GEN_PATH_XY *x, int nDim, int *dims);
void buf_add_struct_PL_PATH_XY ( buf_t buf, struct PL_PATH_XY *x, int nDim, int *dims);
void buf_add_struct_MANA_SYS_CSTT ( buf_t buf, struct MANA_SYS_CSTT *x, int nDim, int *dims);
void buf_add_struct_MANA_CTRL ( buf_t buf, struct MANA_CTRL *x, int nDim, int *dims);
void buf_add_struct_MANA_POSE ( buf_t buf, struct MANA_POSE *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_MANA_POSE ( buf_t buf, MANA_POSE *x, int nDim, int *dims);
void buf_add_MANA_CTRL ( buf_t buf, MANA_CTRL *x, int nDim, int *dims);
void buf_add_MANA_SYS_CSTT ( buf_t buf, MANA_SYS_CSTT *x, int nDim, int *dims);
void buf_add_PL_PATH_XY ( buf_t buf, PL_PATH_XY *x, int nDim, int *dims);
void buf_add_GEN_PATH_XY ( buf_t buf, GEN_PATH_XY *x, int nDim, int *dims);
void buf_add_PL_MANA_SYS_CSTT ( buf_t buf, PL_MANA_SYS_CSTT *x, int nDim, int *dims);
void buf_add_PL_MANA_STATET ( buf_t buf, PL_MANA_STATET *x, int nDim, int *dims);
void buf_add_PL_MANA_STRAJ ( buf_t buf, PL_MANA_STRAJ *x, int nDim, int *dims);
void buf_add_PL_INIT_I ( buf_t buf, PL_INIT_I *x, int nDim, int *dims);
void buf_add_PL_SETMODE_I ( buf_t buf, PL_SETMODE_I *x, int nDim, int *dims);
void buf_add_PL_PLANTO_I ( buf_t buf, PL_PLANTO_I *x, int nDim, int *dims);
void buf_add_PL_PLANSIMPLEPATH_I ( buf_t buf, PL_PLANSIMPLEPATH_I *x, int nDim, int *dims);
void buf_add_PL_PLANSIMPLESTRAJ_I ( buf_t buf, PL_PLANSIMPLESTRAJ_I *x, int nDim, int *dims);
void buf_add_PL_SETMANASYS_I ( buf_t buf, PL_SETMANASYS_I *x, int nDim, int *dims);
void buf_add_PATHRECORDING_I ( buf_t buf, PATHRECORDING_I *x, int nDim, int *dims);
void buf_add_TRAJRECORDING_I ( buf_t buf, TRAJRECORDING_I *x, int nDim, int *dims);
void buf_add_PVD_I ( buf_t buf, PVD_I *x, int nDim, int *dims);
void buf_add_SHIFT_XY_I ( buf_t buf, SHIFT_XY_I *x, int nDim, int *dims);
void buf_add_FILENAME_I ( buf_t buf, FILENAME_I *x, int nDim, int *dims);
void buf_add_LOADPATH_I ( buf_t buf, LOADPATH_I *x, int nDim, int *dims);
void buf_add_MPC_PLANNER_STR ( buf_t buf, MPC_PLANNER_STR *x, int nDim, int *dims);
void buf_add_MPC_PLANNER_PATHREC_POSTER_STR ( buf_t buf, MPC_PLANNER_PATHREC_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_PLANNER_PATHREF_POSTER_STR ( buf_t buf, MPC_PLANNER_PATHREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_PLANNER_MANASTRAJREF_POSTER_STR ( buf_t buf, MPC_PLANNER_MANASTRAJREF_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_PLANNER_MANASTRAJREC_POSTER_STR ( buf_t buf, MPC_PLANNER_MANASTRAJREC_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* MPC_PLANNER_TCLSERV_CLIENT_ENCODE_H */

